Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000687KdenliveUser Interfacepublic2009-02-22 10:522010-04-10 13:30
Reporterjdobry 
Assigned Toj-b-m 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.7.2 
Target VersionFixed in Version0.7.3 
Summary0000687: Qt 4.5: unable to save project
DescriptionUbuntu 9.04 / kdenlive from repositories is not able save any project file.
How to reproduce: Create new project -> add one video file ->save project will crash
------------------------------------------------------------------------------
This backtrace appears to be of no use.
This is probably because your packages are built in a way which prevents creation of proper backtraces, or the stack frame was seriously corrupted in the crash.

[Thread debugging using libthread_db enabled]
[New Thread 0xb5dbc700 (LWP 4618)]
[New Thread 0xae248b90 (LWP 4654)]
[New Thread 0xaea49b90 (LWP 4653)]
[New Thread 0xad435b90 (LWP 4638)]
0xb800f430 in __kernel_vsyscall ()
[Current thread is 0 (LWP 4618)]

Thread 4 (Thread 0xad435b90 (LWP 4638)):
#0 0xb800f430 in __kernel_vsyscall ()
#1 0xb66e37b1 in select () from /lib/tls/i686/cmov/libc.so.6
0000002 0xb73a42e0 in ?? () from /usr/lib/libQtCore.so.4
0000003 0xb72d293e in ?? () from /usr/lib/libQtCore.so.4
0000004 0xb65ef4ff in start_thread () from /lib/tls/i686/cmov/libpthread.so.0
0000005 0xb66eb49e in clone () from /lib/tls/i686/cmov/libc.so.6

Thread 3 (Thread 0xaea49b90 (LWP 4653)):
#0 0xb800f430 in __kernel_vsyscall ()
#1 0xb65f3412 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
0000002 0xb66fa344 in pthread_cond_timedwait () from /lib/tls/i686/cmov/libc.so.6
0000003 0xb7febab9 in mlt_consumer_get_frame () from /usr/lib/libmlt.so.1
0000004 0xb65f09ce in pthread_mutex_lock () from /lib/tls/i686/cmov/libpthread.so.0
0000005 0xe8758bff in ?? ()

Thread 2 (Thread 0xae248b90 (LWP 4654)):
#0 0xb800f430 in __kernel_vsyscall ()
#1 0xb65f30e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
0000002 0xb66fa2ed in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
0000003 0xb30d6d2c in ?? () from /usr/lib/mlt/libmltsdl.so
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 1 (Thread 0xb5dbc700 (LWP 4618)):
#0 0xb800f430 in __kernel_vsyscall ()
#1 0xb66a67a6 in nanosleep () from /lib/tls/i686/cmov/libc.so.6
0000002 0xb66a65be in sleep () from /lib/tls/i686/cmov/libc.so.6
0000003 0xb7e0fe02 in ?? () from /usr/lib/libkdeui.so.5
0000004 0xb7e107c4 in KCrash::defaultCrashHandler () from /usr/lib/libkdeui.so.5
0000005 <signal handler called>
0000006 0xb7774dd0 in ?? () from /usr/lib/libQtXml.so.4
0000007 0xb7768604 in ?? () from /usr/lib/libQtXml.so.4
0000008 0xb7768831 in ?? () from /usr/lib/libQtXml.so.4
0000009 0xb776b00b in ?? () from /usr/lib/libQtXml.so.4
0000010 0xb776b0b7 in ?? () from /usr/lib/libQtXml.so.4
0000011 0xb776d7a1 in QDomDocument::importNode () from /usr/lib/libQtXml.so.4
0000012 0x0813aa81 in KdenliveDoc::saveSceneList ()
0000013 0x080cf180 in MainWindow::saveFileAs ()
0000014 0x080cf892 in MainWindow::saveFileAs ()
0000015 0x080cf9b0 in MainWindow::saveFile ()
0000016 0x080df97f in MainWindow::qt_metacall ()
0000017 0xb73dcc28 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
0000018 0xb73dd050 in QMetaObject::activate () from /usr/lib/libQtCore.so.4
0000019 0xb69c9041 in QAction::triggered () from /usr/lib/libQtGui.so.4
0000020 0xb69ca5bf in QAction::activate () from /usr/lib/libQtGui.so.4
0000021 0xb6e99f42 in QToolButton::nextCheckState () from /usr/lib/libQtGui.so.4
0000022 0xb6db2933 in ?? () from /usr/lib/libQtGui.so.4
0000023 0xb6db2c06 in QAbstractButton::mouseReleaseEvent () from /usr/lib/libQtGui.so.4
0000024 0xb6e9a43c in QToolButton::mouseReleaseEvent () from /usr/lib/libQtGui.so.4
0000025 0xb6a262b3 in QWidget::event () from /usr/lib/libQtGui.so.4
0000026 0xb6db0bde in QAbstractButton::event () from /usr/lib/libQtGui.so.4
0000027 0xb6e9ce6a in QToolButton::event () from /usr/lib/libQtGui.so.4
0000028 0xb69cf61c in QApplicationPrivate::notify_helper () from /usr/lib/libQtGui.so.4
0000029 0xb69d82a1 in QApplication::notify () from /usr/lib/libQtGui.so.4
0000030 0xb7da007d in KApplication::notify () from /usr/lib/libkdeui.so.5
0000031 0xb73c69cb in QCoreApplication::notifyInternal () from /usr/lib/libQtCore.so.4
0000032 0xb69d72fe in QApplicationPrivate::sendMouseEvent () from /usr/lib/libQtGui.so.4
0000033 0xb6a470fe in ?? () from /usr/lib/libQtGui.so.4
0000034 0xb6a46427 in QApplication::x11ProcessEvent () from /usr/lib/libQtGui.so.4
0000035 0xb6a7135a in ?? () from /usr/lib/libQtGui.so.4
0000036 0xb6121af8 in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
0000037 0xb612505b in ?? () from /usr/lib/libglib-2.0.so.0
0000038 0xb61251d8 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
0000039 0xb73f23a8 in QEventDispatcherGlib::processEvents () from /usr/lib/libQtCore.so.4
0000040 0xb6a70a55 in ?? () from /usr/lib/libQtGui.so.4
0000041 0xb73c4ffa in QEventLoop::processEvents () from /usr/lib/libQtCore.so.4
0000042 0xb73c543a in QEventLoop::exec () from /usr/lib/libQtCore.so.4
0000043 0xb73c78e9 in QCoreApplication::exec () from /usr/lib/libQtCore.so.4
0000044 0xb69cf497 in QApplication::exec () from /usr/lib/libQtGui.so.4
0000045 0x080c4f08 in main ()
#0 0xb800f430 in __kernel_vsyscall ()
TagsNo tags attached.
Build/Install MethodDistribution package
Attached Files

- Relationships
parent of 0000698closedj-b-m Crash in KdenliveDoc::saveSceneList in 
has duplicate 0000704closedGranjow segfault in MarkerDialog 
has duplicate 0000727closedj-b-m Crash on saving 
has duplicate 0000739closedj-b-m kdenlive crashes when saving project 
has duplicate 0000765closedj-b-m Saving a project crashes kdenlive on ubuntu 9.4 

-  Notes
(0002450)
administrator (administrator)
2009-02-23 12:22

Which version of Qt are you using. I think there are some issues with Qt 4.5 that have not been addressed yet and might cause the crash...
(0002474)
jdobry (reporter)
2009-02-25 21:25

QT version 4.5.0~+rc1-0ubuntu1 from ubuntu 9.04 repositories.

I found, that EMPTY project is possible to save, but after add any video file it is 100% crash.
(0002479)
repli2dev (reporter)
2009-02-28 10:26

Hi, same problem at my computer, but in my case, project file is really saved, crash only follow it.

Kdenlive 0.7.2.1
MLT and MLT++ 0.3.6
Qt 4.5.0-rc1
(0002485)
administrator (administrator)
2009-03-03 09:05

Issue should now be fixed in Kdenlive's svn.

- Issue History
Date Modified Username Field Change
2009-02-22 10:52 jdobry New Issue
2009-02-22 10:52 jdobry Build/Install Method => Distribution package
2009-02-23 12:22 administrator Note Added: 0002450
2009-02-25 21:25 jdobry Note Added: 0002474
2009-02-26 22:52 administrator Status new => acknowledged
2009-02-26 22:52 administrator Summary Unable to save project => Qt 4.5: unable to save project
2009-02-28 10:26 repli2dev Note Added: 0002479
2009-03-02 18:51 administrator Relationship added related to 0000700
2009-03-03 09:03 administrator Relationship deleted related to 0000700
2009-03-03 09:05 administrator Note Added: 0002485
2009-03-03 09:18 administrator Relationship added parent of 0000698
2009-03-08 00:06 administrator Relationship added has duplicate 0000704
2009-03-10 11:17 administrator Status acknowledged => feedback
2009-03-23 23:16 administrator Relationship added has duplicate 0000727
2009-03-30 11:05 administrator Relationship added has duplicate 0000739
2009-04-13 12:40 administrator Relationship added has duplicate 0000765
2010-04-10 13:25 Granjow Status feedback => resolved
2010-04-10 13:25 Granjow Fixed in Version => 0.7.3
2010-04-10 13:25 Granjow Resolution open => fixed
2010-04-10 13:25 Granjow Assigned To => j-b-m
2010-04-10 13:30 Granjow Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker